changeset 1336:c7dfe0e54a80

Might as well preserve hard links while assembling root-filsystem. Neither busybox tar nor mksquashfs are currently using them, but maybe someday...
author Rob Landley <rob@landley.net>
date Fri, 18 Mar 2011 19:28:50 -0500
parents ffb07a48a960
children 1bc0c01950ca
files root-filesystem.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/root-filesystem.sh	Fri Mar 18 05:58:35 2011 -0500
+++ b/root-filesystem.sh	Fri Mar 18 19:28:50 2011 -0500
@@ -14,7 +14,7 @@
   echo "No $BUILD/native-compiler-$ARCH" >&2 &&
   exit 1
 
-cp -a "$BUILD/simple-root-filesystem-$ARCH/." "$STAGE_DIR" || dienow
+cp -al "$BUILD/simple-root-filesystem-$ARCH/." "$STAGE_DIR" || dienow
 
 # Remove shared libraries copied from cross compiler, and let /bin/sh point
 # to bash out of native compiler instead of busybox shell.
@@ -25,7 +25,7 @@
 # do bad things to busybox).
 
 [ -z "$ROOT_NODIRS" ] && USRDIR="/usr" || USRDIR=""
-yes 'n' | cp -ia "$BUILD/native-compiler-$ARCH/." \
+yes 'n' | cp -ial "$BUILD/native-compiler-$ARCH/." \
   "$BUILD/root-filesystem-$ARCH$USRDIR" 2>/dev/null || dienow
 
 # Strip everything again, just to be sure.